Bug 250296 - net-mgmt/wifimgr: Add missing dependencies; remove duplicate pkgconfig; etc.
Summary: net-mgmt/wifimgr: Add missing dependencies; remove duplicate pkgconfig; etc.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-12 15:05 UTC by Samy Mahmoudi
Modified: 2020-10-17 20:06 UTC (History)
2 users (show)

See Also:
fbsd: maintainer-feedback+


Attachments
Patch file generated with svn diff (829 bytes, patch)
2020-10-12 15:07 UTC, Samy Mahmoudi
no flags Details | Diff
Log file generated by poudriere (NLS=on) (47.51 KB, text/plain)
2020-10-12 15:13 UTC, Samy Mahmoudi
no flags Details
Log file generated by poudriere (NLS=off) (46.19 KB, text/plain)
2020-10-12 15:16 UTC, Samy Mahmoudi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samy Mahmoudi 2020-10-12 15:05:38 UTC
Hi J.R.,

- Add missing x11-fonts/fontconfig and libfreetype.so:print/freetype2 to LIB_DEPENDS
- Add cairo to USE_GNOME
- Remove duplicate pkgconfig from NLS_USES (pkgconfig is required irrespective of NLS)
- Remove a REINPLACE command since corresponding modifications were made upstream (between 1.12 and 1.13)
- Replace 'deprecated' [1] gettext  with more explicit gettext-runtime and gettext-tools 

[1] https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/uses-gettext-tools.html
Comment 1 Samy Mahmoudi 2020-10-12 15:07:54 UTC
Created attachment 218694 [details]
Patch file generated with svn diff
Comment 2 Samy Mahmoudi 2020-10-12 15:13:50 UTC
Created attachment 218695 [details]
Log file generated by poudriere (NLS=on)
Comment 3 Samy Mahmoudi 2020-10-12 15:16:27 UTC
Created attachment 218696 [details]
Log file generated by poudriere (NLS=off)
Comment 4 J.R. Oldroyd 2020-10-14 09:48:21 UTC
All OK with me, thanks Samy.
Comment 5 Tilman Keskinoz freebsd_committer 2020-10-17 20:06:22 UTC
Committed, thanks
Comment 6 commit-hook freebsd_committer 2020-10-17 20:06:43 UTC
A commit references this bug:

Author: arved
Date: Sat Oct 17 20:06:06 UTC 2020
New revision: 552607
URL: https://svnweb.freebsd.org/changeset/ports/552607

Log:
  Add missing dependencies. misc cleanups

  PR:		250296
  Submitted by:   Samy Mahmoudi
  Approved by:	maintainer

Changes:
  head/net-mgmt/wifimgr/Makefile